@echo off

set version=v0.4 08-June-2015


REM  /********************************************************
REM *                                                        *
REM *   Copyright (c) Microsoft. All rights reserved.        *
REM *                                                        *
REM *********************************************************/


set Component=SetupComplete
set DataPath=%SystemDrive%\_vNextUpgrade
set logpath=%WinDir%\CCM\Logs
set logfile=%logpath%\SetupComplete-CMD.log
set psfile=%DataPath%\SetupComplete.ps1

echo %date% %time% START %Component% %version% > %logfile%

if exist %psfile% (

	echo %date% %time% %psfile% found, launching... >> %logfile%

	powershell.exe -ExecutionPolicy Bypass -File %psfile% -WindowStyle Hidden

	echo %date% %time% powershell return code: %errorlevel% >> %logfile%

) else (

	echo %date% %time% ERROR %psfile% not found! >> %logfile%

)

echo %date% %time% END >> %logfile%
